html {
  scroll-behavior: smooth;
}

body {
  background-color: #000000;
  margin: 0px;
  max-width: 1244px;
  margin: auto;
}

ul {
  padding-inline-start: 0px;
}

@font-face {
  font-family: Hiker;
  src: url(../fonts/Hiker.otf);
}

@font-face {
  font-family: CirceLite;
  src: url(../fonts/CRC25.otf);
}

@font-face {
  font-family: Circe;
  src: url(../fonts/CRC35.otf);
}

@font-face {
  font-family: CirceBold;
  src: url(../fonts/CRC55.otf);
}

.circe-bold {
  font-family: CirceBold, sans-serif;
}

#menu-bar {
  background-color: #008441;
  background-color: #1a5632;
  position: sticky;
  position: -webkit-sticky; /* Safari */
  top: 0px;
  z-index: 2;
}

#menu-list {
  display: flex;
  justify-content: space-around;
  margin: 0px;
}

.menu-item {
  display: flex;
  margin: 1em;
  font-size: 14pt;
  font-family: Circe, sans-serif;
  color: #b6e7eb;
}

.menu-item:hover {
  color: #ff7f31;
  cursor: pointer;
}

#hamburger-blue, #hamburger-orange {
  display: none;
}

#header {
  background-color: #008441;
  background-color: #1a5632;
  display: flex;
  justify-content: center;
}

#header-logo {
  height: 200px;
}

#header-name {
  height: 122px;
  padding-top: 80px;
}

#header-mobile {
  display: none;
}

.header-img {
  padding: 50px 30px;
}

#copy-container {
  overflow: hidden;
  font-size: 16pt;
  color: #1a5632;
  background-color: #c2ddc8;
  height: 0px;
  transition: height 0.5s linear 0.1s;
}

#copy-container > div {
  padding: 25px 100px;
  display: none;
}

#about-copy > h1 {
  font-family: Hiker;
  margin-top: 68px;
}

#about-copy > p {
  font-family: Circe, sans-serif;
  margin-bottom: 50px;
}

#signature-container {
  display: flex;
  justify-content: flex-end;
  margin: 50px 0px;
}

#about-signature {
  width: 420px;
  margin-right: 24px;
}

#about-paw-print {
  width: 94px;
  margin-right: 24px;
}

.services-layer {
  display: flex;
  justify-content: flex-start;
  align-content: center;
  margin: 25px 0;
}

#solo-walk-layer, #house-call-layer {
  flex-direction: row-reverse;
}

.services-text {
  display: flex;
  flex-direction: column;
  justify-content: center;
}

.services-text h1 {
  font-family: Hiker, fantasy;
}

.services-text p {
  font-family: Circe, sans-serif;
}

.services-photo-container {
  display: flex;
  flex-direction: column;
  justify-content: center;
}

.services-photo-container h1 {
  display: none;
}

.services-photo {
  display: inline-block;
  width: 320px;
  max-width: 560px;
}

#services-headline-cta-container {
  display: flex;
  justify-content: space-between;
  flex-direction: row;
}

#device-services-cta-button {
  display: none;
}

.services-cta-button {
  background-color: #ff7f31;
  color: #fff;
  font-family: Hiker;
  font-size: 13px;
  text-align: center;
  height:58px;
  width: 144px;
  border-radius: 8px;
  border: 1px #fff solid;
}

.services-cta-button:hover {
  cursor: pointer;
  background: #ff6800;
}

.services-layer-divider {
  min-width: 150px;
}

.pack-layer {
  display: flex;
  justify-content: space-between;
  margin-top: 60px
}

.pack-layer-divider {
  min-width: 60px;
}

#pack-copy {
  padding-bottom: 60px !important;
}

.pack-title-container {
  display: flex;
  flex-direction: column;
}

.profile-name {
  font-family: Hiker;
  margin: 0px;
}

.profile-title {
  font-family: Circe, sans-serif;
  font-size: 1em;
  margin: 0px;
}

.pack-text > p {
  font-family: Circe, sans-serif;
  font-size: 14pt;
}

.profile-photo-container {
  display: flex;
}

#device-pack-title-container {
  display: none;
}

.profile-photo {
  width: 400px;
  height: 400px;
  border-radius: 100%;
}

#contact-copy {
  font-family: Circe, sans-serif;
  background-image: url("../img/wood_grain_background.jpeg");
  background-size: cover;
}

#contact-card-container {
  display: flex;
  justify-content: space-around;
}

#form-card {
  min-width: 560px;
  transition: transform 1s linear;
  position: relative;
}

#form-headline {
  margin: 20px auto 18px;
  text-align: center;
}

#form-thank-you {
  font-family: Hiker;
  width: 100%;
  margin: 20px auto;
  text-align: center;
  visibility: hidden; 
  position: absolute;
  top: 100px;
  left: 0px;
  transform: rotateY(180deg);
}

#form-grid {
  display: flex;
  justify-content: space-between;
}

.form-column {
  display: flex;
  flex-direction: column;
}

.grid-input {
  margin-top: 8px;
}

.contact-card {
  background: #ff7f31;
  color: #fff;
  margin: 50px;
  padding: 20px 25px;
  border: solid 2px #fff;
  border-radius: 10px;
  box-shadow: 10px 10px 10px #000;
}

#contact-form {
  display: flex;
  flex-direction: column;
}

.form-input, #service-select {
  width: 260px;
  font-family: Circe, sans-serif; 
}

.form-label {
  font-family: CirceLite, sans-serif;
  font-size: 12pt;
  margin-top: 10px;
}

#form-submit-button {
  font-family: Hiker;
  border: 2px solid #fff;
  border-radius: 10px;
  background: #ff7f31;
  font-size: 12pt;
  color: #fff;
  margin: 30px auto 20px;
  width: 154px;
  height: 52px;
  line-height: 52px;
}

#form-submit-button:hover {
  cursor: pointer;
  background-color: #ff6800;
}

#message-input {
  resize: none;
  height: 60px;
  width: 100%;
}

#business-card-logo {
  display: block;
  width: 200px;
  margin: 20px auto 56px;
}

.business-card-contact-info {
  font-family: CirceLite, sans-serif;
  display: block;
  text-decoration: none;
  text-align: center;
  color: #fff;
  font-size: 12pt
}

#carousel-container {
}

#slider {
  position: relative;
  overflow: hidden;
}

#carousel-window {
  overflow: hidden;
  position: relative;
  width: 500%;
}

#carousel-slide {
  display: flex;
  justify-content: flex-start;
  align-items: center;
  position: relative;
  left: 0px;
  transition: left 0.8s;
}

.carousel-frame {
  height: auto;
  position: relative;
  width: 100%;
}

.carousel-text {
  position: absolute;
  margin: 0px;
  color: #fff;
  font-family: 'Hiker';
  padding: 12px 20px 0px 20px;
}

#carousel-text-1 {
  opacity: 0.9;
} 
#carousel-text-3 {
}

#carousel-text-5 {
  left: 0 !important;
  right: 0;
  margin: 0px auto;
  text-align: center;
  width: 70%;
  opacity: .8;
}

.car-img {
  height: inherit;
  width: inherit;
  display: block;
}

.carousel-button {
  color: #fff;
  font-size: 500%;
  position: absolute;
  z-index: 1;
  top: 30%;
  opacity: 0.7;
  font-family: 'Circe';
}

#carousel-button-left {
  display: none;
  left: 50px;
}

#carousel-button-right {
  right: 50px; 
}

.carousel-button:hover {
  cursor: pointer;
}

#carousel-cta-container {
  display: flex;
  justify-content: center;
  background-image: url("../img/wood_grain_background.jpeg");
  background-size: cover;
}

#carousel-cta-button {
  display: inline-block;
  position: relative;
  background-color: #ff7f31;
  margin: 44px 0px;
  height: 66px;
  width: 200px;
  border-radius: 10px 4px 4px 10px;
  border: 2px #fff solid;
  z-index: 1;
}

#carousel-cta-text {
  color: #fff;
  font-family: Hiker;
  font-size: 21px;
  min-width: 162px;
  line-height: 71px;
  margin-left: 25px;
}

#carousel-cta-caret {
  background-color: #ff7f31;
  width: 48px;
  min-width: 48px;
  height: 48px;
  transform: rotate(45deg);
  position: absolute;
  right: -25px;
  top: 8px;
  border-radius: 4px 4px 4px 0;
  border-top: 2px #fff solid;
  border-right: 2px #fff solid;
  z-index: -1;
}

#footer {
  display: flex;
  justify-content: space-evenly;
  background-color: #1a5632;
  color: #b6d7eb;
  padding: 60px 60px 30px;
}

#footer-logo-flex-container {
  flex-grow: 2;
}

#footer-logo {
  width: 156px;
}

.footer-contact-info {
  font-family: Circe, sans-serif;
  color: #b6d7eb;
  text-decoration: none;
  margin: 6px 0px;
}

#footer-logo-info-container {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

#footer-contact-container {
  justify-content: flex-start;
}

#cc-disclaimer {
  color: #b6d7eb;
  font-size: 10pt;
  font-family: Circe, sans-serif;
}

.footer-group {
  display: flex;
  flex-direction: column;
  width: 222px;
}

.footer-headline {
  font-family: Circe, sans-serif;
  font-weight: normal;
  font-size: 14pt;
}

.footer-link-container {
  display: flex;
  margin-left: 4px;
}

.footer-social-link {
  margin-right: 16px;
}

.footer-social-logo {
  width: 34px;
  border-radius: 7px;
}

#footer-copyright {
  display: flex;
  justify-content: space-evenly;
  background-color: #1a5632;
  color: #b6d7eb;
  font-size: 10pt;
  font-family: Circe, sans-serif;
}

.footer-copyright-divider {
  min-width: 10px;
}

.footer-flex-container {
  display: flex;
  justify-content: space-around;
}

@media screen and (max-width:1050px) {

  #pack-walk-layer, #solo-walk-layer, #dog-fu-layer, #house-call-layer {
    flex-direction: column;
    margin: 66px 0;
  }

  #device-services-cta-button {
    display: block;
    align-self: center;
    margin-bottom: 30px;
  }

  #fullscreen-services-cta-button {
    display: none;
  }

  .services-layer-divider, .services-text h1 {
    display: none;
  }

  .services-photo-container {
    flex-direction: column;
    align-items: center;
    justify-content: flex-start;
  }

  .services-photo {
    width: 95%;
  }
  
  .services-photo-container h1 {
    margin-left: 0px;
    font-family: Hiker;
    display: block;
  }

  .pack-layer {
    flex-direction: column;
  }

  .profile-photo {
    width: 200px;
    height: 200px;
  }

  .profile-photo-container {
  }

  #device-pack-title-container {
    display: flex;
    justify-content: center;
    margin-left: 20px;
   
  }

  #fullscreen-pack-title-container {
    display: none;
  }

  #business-card {
    display: none;
  }

  .footer-flex-container {
    flex-direction: column;
    align-items: center;
  }

  #footer-logo-flex-container {
    flex-grow: 0;
  }

  #footer-contact {
    display: none;
  }

  #footer-contact-container {
    margin-top: 28px;
  }

  #footer-copyright > p {
    margin: 2px;
  }

}

@media screen and (max-width: 790px) {

  #hamburger-blue {
    display: inline;
  }

  .hamburger {
    height: 26px;
    padding: 18px;
  }

  #menu-list {
    flex-direction: column;
    position: absolute;
    background-color: #1a5632;
    opacity: .9;
  }

  .menu-item {
    color: #ff7f31;
    border-bottom: solid 1px #ff7f31;
  }

  #header-name, #header-logo, #menu-list {
    display: none;
  }

  #header-mobile {
    display: inline-block;
    height: 260px;
    padding: 40px 0px;
  }

  #copy-container > div {
    font-size: 14pt;
    padding: 25px 60px;
  }

  .content-copy h1 {
    font-size: 22pt;
  }

  #signature-container {
    flex-direction: column;
    align-items: center;
  }

  #about-signature {
    width: 272px;
  }

  #about-paw-print {
    width: 76px;
  }

  .profile-photo {
    width: 150px;
    height: 150px;
  }

  .pack-text > p {
    font-size: 12pt;
  }

}

/* WALL OF SHAME */

@media screen and (max-width: 450px) {

  .content-copy h1 {
    font-size: 20pt;
  }

  .profile-title {
    font-size: 0.8em;
  }
}

@media screen and (max-width: 690px) {

  #form-card {
    min-width: 0px;
    width: 75%;
  }

  #form-grid {
    flex-direction: column;
  }

  .form-column {
    align-items: center;
  }

  .form-label {
    text-align: center;
  }

  #service-select {
    margin: auto;
  }

  #message-input {
    margin: auto; 
    width: 260px;
  }

}

@media screen and (max-width: 534px) {
  #form-card {
    margin: 50px 0px;
  }

  .form-input, #service-select, #message-input {
    width: 80%;
  }

  #footer {
    flex-direction: column;
  }

  .footer-headline {
    text-align: center;
  }

  #footer-social-flex-container {
    margin-top: 24px;
  }

  .footer-link-container {
    justify-content: center;
  }
}







